/*
    Created on : Dec 05, 2022 10:09:32 am
    Author     : sahan.geesara@ebeyonds.com
*/

.r2g-timeline-v1{
    position: relative
}

.timeline-wrapper{
    margin:0 50px;
    overflow: hidden;
}

#timeline .swiper-notification{
    display: none;
}

#timeline .xList-item .r2g-xbox-sub-component .flex-container{
    max-height: 100%;
}

#timeline .xList-item .r2g-xbox-sub-component .flex-container .mCSB_dragger_bar{
    display: none !important;
}

#timeline{
    margin:62px 0 62px;
    position: relative;
}

#timeline .xList-item {
    display: flex !important;
}
#timeline .xList-item > .r2g-xbox-sub-component{
    width: 100%;
}
#timeline .xList-item::after{
    content: "";
    position: absolute;
    left: 50%;
    bottom: -29px;
    border-left: 15px solid transparent;
    border-right: 15px solid transparent;
    border-top: 20px solid #f1f1f1;;
    transform: translate(-50%,-50%);
}

#timeline .xList-item .xbox-wrapper{
    background-color: #f1f1f1;
    padding: 30px;
    height: 300px;
    border-radius: 10px;
    justify-content: center;
}

#timeline .xList-item .history-description{
    color:var(--color__default-text-color);
    text-align: center;
}


@media(min-width:768px){
 
     #timeline .xList-item .history-description{
        text-align: left;
    }
 
}



#timeline .xList-item .top-thumb-wrapper{
    position: absolute;
    width: 120px;
    height: 120px;
    border-radius: 50%;
    overflow: hidden;
    object-fit: cover;
    top: -22%;/*-35%*/
    right: 50%;
    transform: translate(50%);
    border: 5px solid white;
}

#timeline .xList-item .top-thumb-wrapper .top-thumb{
    width:100%;
    height: 100%;
}

#timeline .year{
    position: absolute;
    bottom: -60px;
    top: auto;
    margin: 0;
    left: 50%;
    transform: translate(-50%,-50%);
    font-size: 2.4rem;
}

.swiper-button-next::after,
.swiper-button-prev::after{
   color:var(--color-keells);
   font-size:2.5rem;
}

#timeline .swiper-slide .r2g-xbox-sub-component .history-description ul li,
#timeline .swiper-slide .r2g-xbox-sub-component .history-description ol li {
    line-height: 1.9rem;
}
#timeline .swiper-slide .r2g-xbox-sub-component .history-description ul li:before {
    color: #fff;
}



@media(min-width:1024px){
    
    
    #timeline .xList-item::after{
        display: none;
    }
    
    .swiper-slide:nth-child(2n+1) .xbox-wrapper{
        justify-content: flex-start;
    }
    
    
    #timeline .xList-item .xbox-wrapper{
        background-color: transparent;
        padding: 0;
    }
    
    #timeline .swiper-slide::before {
      display: block !important;
      content: "";
      position: absolute;
      background-color: black;
      width: 100%;
      height: 1px;
      top: 50%;
    }
    
    #timeline .pointer-dot{
        position: absolute;
        background-color: black;
        width: 10px;
        height: 10px;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        border-radius: 50%;
    }
    
    #timeline .xList-item .xbox-wrapper {
        height: 530px;
    }
    
    #timeline .swiper-slide:nth-child(even) .xbox-wrapper {
        justify-content: flex-end;
    
    }
    
    #timeline .swiper-slide:nth-child(even) .xbox-wrapper .flex-container .top-thumb-wrapper{
        top: 110px; /*before 90px*/
        right: 80px;
    }
    
    #timeline .swiper-slide:nth-child(even) .xbox-wrapper {
        justify-content: flex-end;
    }
    
    #timeline .swiper-slide .content-wrapper{
        position: relative;
        height: 90%;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }
    
    #timeline .swiper-slide .content-wrapper p{
        margin: 0 !important;
    }
    
    #timeline .swiper-slide .content-wrapper .year{
        bottom: -140px;
        left: 50%;
        transform: translate(-50%, -50%);
    }
    
    .swiper-slide .flex-container{
        padding: 20px 30px;
        background-color: #f1f1f1;
        position: relative;
        height: 210px;
        top: 50px;
        border-radius: 10px;
    }
    
    .swiper-slide .flex-container::after{
        content: "";
        position: absolute;
        left: 50%;
        bottom: -29px;
        border-left: 15px solid transparent;
        border-right: 15px solid transparent;
        border-top: 20px solid #f1f1f1;
        transform: translate(-50%,-50%);
    }
    
    #timeline .xList-item{
        height: 600px;
         display: flex;
        justify-content: center;
    }
    
    #timeline .xList-item .top-thumb-wrapper{
        top: -100px;
        right: 80px;
    }
    
    #timeline .swiper-slide:nth-child(even) .xbox-wrapper .history-description{
        margin:5px 0 60px 0;
    }
    #timeline .swiper-slide:nth-child(even) .xbox-wrapper .year{
        bottom: 180px;
    }
    
    .timeline-wrapper{
        margin:0 100px;
    }
    
    #timeline .swiper-slide:nth-child(even) .flex-container::after{
        width: 0;
        height: 0;
        border-left: 15px solid transparent;
        border-right: 15px solid transparent;
        border-bottom: 20px solid #f1f1f1;
        transform: translate(-50%,-50%);
        top: -8px;
        bottom: auto;
        border-top: 0;
    }
    
    .swiper-button-next{
        right: 35px;
    }
    
    .swiper-button-prev{
        left: 35px;
    }
    
    .r2g-timeline-v1 .swiper-button-next:after,
    .r2g-timeline-v1 .swiper-button-prev::after{
        font-size: 45px;
        line-height: 45px;
        font-family: icomoon !important;
        color:#e1001a;
    }
    
    .r2g-timeline-v1 .swiper-button-next:after{
        content:"\eb18";
    }
    .r2g-timeline-v1 .swiper-button-prev::after{
        content:"\eb1b";
    }
    
    #timeline .year{
        bottom: auto;
        top: 55%;
    }
    
    /* ----- timeline ----- */
    #timeline .swiper-slide .r2g-xbox-sub-component {
        position: absolute;
        width: 120%;
        left: calc(0px - 10%);
        transition: all 0.8s ease;
        transition-delay: 0s ease;
        opacity: 0;
    }
    #timeline .swiper-slide .r2g-xbox-sub-component .history-description {
        position: relative;
        left: -20px;
        transition: all 0.8s ease;
        transition-delay: 0.5s;
        opacity: 0; 
        line-height: 2.5rem;
    }
    #timeline .swiper-slide .r2g-xbox-sub-component.move-right {
        left: calc(120px - 20%);
    }
    #timeline .swiper-slide .r2g-xbox-sub-component.move-left {
        left: -120px;
    }
    #timeline .swiper-slide .r2g-xbox-sub-component.item-fade-out {
        opacity: 0;
    }
    #timeline .swiper-slide .r2g-xbox-sub-component.item-fade-in {
        opacity: 1;
    }
    #timeline .swiper-slide .r2g-xbox-sub-component.item-fade-in .history-description {
        left: 0;
        opacity: 1;
    }
    
    #timeline .xList-item .xbox-wrapper{
        align-items: center; 
    }
    
    #timeline .xList-item .r2g-xbox-sub-component .flex-container{
        width: 250px;
    }
    
    #timeline .xList-item .xbox-wrapper{
        justify-content: flex-start;
    }
    

}

@media(min-width:1260px){
    
    #timeline .xList-item .r2g-xbox-sub-component .flex-container{
        width: auto;
    }
    #timeline .xList-item .xbox-wrapper{
        align-items: unset;
    }
    
}

@media(min-width:1366px){
    #timeline .swiper-slide .r2g-xbox-sub-component.item-fade-in .history-description {
        font-size: 2.1rem;
        font-weight: 500;
        text-align: center;
    }
}